export const dashboardData = {
    base: {
        name: 'Wasseiges',
        area: 24.48,
        population: 2996,
        lat: 50.6173,
        lon: 5.0206,
    },
    landuse: [
        {
            name: 'Terres arables',
            area: 1694,
        },
        {
            name: 'Prairies',
            area: 376,
        },
        {
            name: 'Bois',
            area: 25,
        },
        {
            name: 'Surfaces bâties',
            area: 167
        },
        {
            name: 'Autres',
            area: 186
        }
    ],
    production: [
        {
            name: 'Froment',
            area: 768.94,
        },
        {
            name: 'Orge',
            area: 61.78,
        },
        {
            name: 'Betteraves',
            area: 313.28,
        },
        {
            name: 'Pommes de terre',
            area: 274.12,
        },
        {
            name: 'Cultures fourragères (maïs, prairies temporaires, ...)',
            area: 108.70,
        },
        {
            name: 'Vergers',
            area: 33.06,
        }
    ], 
    biomasse : {
        agri_area: 2070,
        forest_area: 25
    }
};

interface landuse {
    name: string,
    area: number,
}

interface production {
    name: string,
    area: number
}

interface biomasse {
    agri_area: number,
    forest_area: number
}


export type dashboardDataType = {
    base: {
        name: string,
        area: number,
        population: number,
        lat: number,
        lon: number,
    },
    landuse: landuse[],
    production: production[],
    biomasse: biomasse
    // landuse: Record<string, landuse>
}
