export const MAP_CONFIG = {
  DEFAULT_PROVIDER: "OpenStreetMapOrg",
  BASEMAPS: [
    {
      name: "OpenStreetMapOrg",
      maxZoom: 19,
      layer: "//{s}.tile.openstreetmap.org/{z}/{x}/{y}.png",
      subdomains: "abc",
      attribution:
        '&copy; <a href="https://www.openstreetmap.org/copyright">OpenStreetMap</a> contributors, Tiles style by <a href="https://www.hotosm.org/" target="_blank">Humanitarian OpenStreetMap Team</a> hosted by <a href="https://openstreetmap.fr/" target="_blank">OpenStreetMap France</a>'
    },
    {
      name: "Imagerie aérienne Wallonie",
      maxZoom: 20,
      layer: "//geoservices.wallonie.be/arcgis/services/IMAGERIE/ORTHO_LAST/MapServer/WMSServer?",
      layers: '0',
      wms: true,
      attribution: '&copy; SPW'
    },
    {
      name: "Hydrographie",
      maxZoom: 20,
      layer: "//geoservices.wallonie.be/arcgis/services/EAU/RHW/MapServer/WMSServer?",
      layers: ['1', '2', '3', '4', '5','6'],
      wms: true,
      attribution: '&copy; SPW'
    },
    {
      name: "MNT (relief)",
      maxZoom: 20,
      layer: "//geoservices.wallonie.be/arcgis/services/RELIEF/WALLONIE_MNT_2013_2014_HILLSHADE/MapServer/WMSServer?",
      layers: '0',
      wms: true,
      attribution: '&copy; SPW'
    },
    {
      name: "MNS (hauteur de la végétation)",
      maxZoom: 20,
      layer: "//geoservices.wallonie.be/arcgis/services/RELIEF/WALLONIE_MNS_2013_2014_HILLSHADE/MapServer/WMSServer?",
      layers: '0',
      wms: true,
      attribution: '&copy; SPW'
    },
    {
      name: "Pentes (relief)",
      maxZoom: 20,
      layer: "//geoservices.wallonie.be/arcgis/services/RELIEF/WALLONIE_MNP_CLASSE_2013_2014/MapServer/WMSServer?",
      layers: '0',
      wms: true,
      attribution: '&copy; SPW'
    },
    {
      name: "Carte des principaux types de sols",
      maxZoom: 20,
      layer: "//geoservices.wallonie.be/arcgis/services/SOL_SOUS_SOL/CNSW__PRINC_TYPES_SOLS/MapServer/WMSServer?",
      layers: '0',
      wms: true,
      attribution: '&copy; SPW'
    },
    {
      name: "Carte des sols",
      minZoom: 8,
      maxZoom: 20,
      layer: "//geoservices.wallonie.be/arcgis/services/SOL_SOUS_SOL/CNSW/MapServer/WMSServer?",
      layers: '1',
      wms: true,
      attribution: '&copy; SPW'
    },
    {
      name: "Carte d'occupation du sol",
      maxZoom: 20,
      layer: "//geoservices.wallonie.be/arcgis/services/SOL_SOUS_SOL/WALOUS_OCCUPATION_SOL/MapServer/WMSServer?",
      layers: '0',
      wms: true,
      attribution: '&copy; SPW'
    },
    {
      name: "Carte d'utilisation du sol",
      maxZoom: 20,
      layer: "//geoservices.wallonie.be/arcgis/services/SOL_SOUS_SOL/WALOUS_UTILISATION_SOL/MapServer/WMSServer?",
      layers: ['1', '3', '4', '5', '6', '7', '8', '9'],
      wms: true,
      attribution: '&copy; SPW'
    },
    {
      name: "Parcellaire agricole anonyme 2019",
      maxZoom: 20,
      layer: "//geoservices.wallonie.be/arcgis/services/AGRICULTURE/SIGEC_PARC_AGRI_ANON__2019/MapServer/WMSServer?",
      layers: '0',
      wms: true,
      attribution: '&copy; SPW'
    },
    {
      name: "Natura 2000",
      maxZoom: 20,
      layer: "//geoservices.wallonie.be/arcgis/services/FAUNE_FLORE/NATURA2000/MapServer/WMSServer?",
      layers: ['1', '2', '3', '4', '5', '6', '7', '8', '9', '10'],
      wms: true,
      attribution: '&copy; SPW'
    },
    {
      name: "Masque forestier",
      maxZoom: 20,
      layer: "//geoservices.wallonie.be/arcgis/services/FORET/FORET/MapServer/WMSServer?",
      layers: '0',
      wms: true,
      attribution: '&copy; SPW'
    },
    {
      name: "Ancienneté des forêts actuelles",
      minZoom: 13,
      maxZoom: 20,
      layer: "//geoservices.wallonie.be/arcgis/services/FORET/FORETANC/MapServer/WMSServer?",
      layers: '1',
      wms: true,
      attribution: '&copy; SPW'
    },
    {
      name: "Couverture forestière approximative au 18ème siècle",
      minZoom: 13,
      maxZoom: 20,
      layer: "//geoservices.wallonie.be/arcgis/services/FORET/FORETANC/MapServer/WMSServer?",
      layers: '0',
      wms: true,
      attribution: '&copy; SPW'
    },
    {
      name: "Carte Ferraris (1770-1778)",
      maxZoom: 20,
      layer: "//geoservices.wallonie.be/arcgis/services/CARTES_ANCIENNES/FERRARIS/MapServer/WMSServer?",
      layers: '0',
      wms: true,
      attribution: '&copy; SPW'
    },
    {
      name: "Carte Vandermaelen (1846-1854)",
      maxZoom: 20,
      layer: "//geoservices.wallonie.be/arcgis/services/CARTES_ANCIENNES/VDML/MapServer/WMSServer?",
      layers: '0',
      wms: true,
      attribution: '&copy; SPW'
    },
    {
      name: "Carte du dépôt de la guerre (1865 - 1880)",
      maxZoom: 20,
      layer: "//geoservices.wallonie.be/arcgis/services/CARTES_ANCIENNES/DEPOT_GUERRE_1865_1880/MapServer/WMSServer?",
      layers: '0',
      wms: true,
      attribution: '&copy; SPW'
    },
    {
      name: "PICC (topographie)",
      maxZoom: 20,
      layer: "//geoservices.wallonie.be/arcgis/services/TOPOGRAPHIE/PICC_VDIFF/MapServer/WMSServer?",
      layers: ['1', '3', '4', '5', '6', '7', '8', '9', '10', '11', '12', '13', '14', '15', '16', '17', '18', '19', '20', '21', '22', '23', '24', '25', '26', '27', '28', '29'],
      wms: true,
      attribution: '&copy; SPW'
    },
    {
      name: "Plan de secteur",
      minZoom: 12,
      maxZoom: 20,
      layer: "//geoservices.wallonie.be/arcgis/services/AMENAGEMENT_TERRITOIRE/PDS/MapServer/WMSServer?",
      layers: '2',
      wms: true,
      attribution: '&copy; SPW'
    },
    {
      name: "Parcellaire cadastral",
      minZoom: 12,
      maxZoom: 20,
      layer: "//geoservices.wallonie.be/arcgis/services/PLAN_REGLEMENT/CADMAP_2021_PARCELLES/MapServer/WMSServer?",
      layers: ['0', '1'],
      wms: true,
      attribution: '&copy; SPW'
    },
    {
      name: "Limites administratives",
      maxZoom: 20,
      layer: "//ccff02.minfin.fgov.be/geoservices/arcgis/services/INSPIRE/AU_wms/MapServer/WMSServer?",
      layers: ['1', '2', '3', '4'],
      wms: true,
      attribution: '&copy; CadGIS'
    },
  ],
  CENTER: [46.52863469527167, 2.43896484375],
  ZOOM_LEVEL: 6,
  ZOOM_LEVEL_RELEVE: 15,
  NEW_OBS_POINTER: "assets/pointer-blue2.png",
  OBS_POINTER: "assets/pointer-green.png",
  WHITE_POINTER: "assets/pointer-white.png",
  ORANGE_POINTER: "assets/pointer-orange.png",
  LOCATE_CONTROL_TITLE: {
    'fr':'Me localiser',
    'en':'Show me where i am'
  }
}
